import redis

host = "localhost"
channel = "LPH"

# Connect to Redis
r = redis.Redis(host=host)

def main():
    print("> Main Pub")
    
    while True:
        key = input()
        match key:
            case "z":
                pub("FORWARD")
            case "q":
                pub("LEFT")
            case "s":
                pub("BACKWARD")
            case "d":
                pub("RIGHT")
            case "a":
                pub("EXIT")
                return
            case _:
                print("Unknow key")

def pub(command):
    print("> Command : %s" % command)
    # Publish a message on Redis channel
    r.publish(channel, command)
